BLK_RQ_ERR_BYTES(9)

NAME
blk_rq_err_bytes - determine number of bytes till the next failure boundary

SYNOPSIS

unsigned int blk_rq_err_bytes(const struct request * rq);

ARGUMENTS

rq
    request to examine

DESCRIPTION

A request could be merge of IOs which require different failure handling. This function determines the number of bytes which can be failed from the beginning of the request without crossing into area which need to be retried further.

RETURN

The number of bytes to fail.

CONTEXT

queue_lock must be held.

COPYRIGHT